Page MenuHomePhabricator

[Task] Introduce wbentityusage API
Closed, ResolvedPublic

Description

This ticket is about reviewing and merging https://gerrit.wikimedia.org/r/299284, which is proposing a specific, partial solution for T103091: [Task] research how to surface usage tracking data for editors.

Note that there is a very long discussion on that patch you should consider when reviewing this.

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptAug 16 2016, 3:57 PM
thiemowmde moved this task from Backlog to Projects on the Wikimania-Hackathon-2016 board.

Change 299284 had a related patch set uploaded (by Ladsgroup):
Introduce prop=wbentityusage in API to expose wbc_entity_usage

https://gerrit.wikimedia.org/r/299284

Change 306750 had a related patch set uploaded (by Ladsgroup):
Use better formatting for wbentityusage

https://gerrit.wikimedia.org/r/306750

Qgil removed a subscriber: Qgil.Aug 29 2016, 2:19 PM
thiemowmde triaged this task as Low priority.Aug 31 2016, 7:55 AM
thiemowmde moved this task from Doing to Review on the Wikidata-Sprint-2016-08-30 board.

Change 299284 merged by jenkins-bot:
Introduce prop=wbentityusage in API to expose wbc_entity_usage

https://gerrit.wikimedia.org/r/299284

Change 306750 merged by jenkins-bot:
Use better formatting for wbentityusage

https://gerrit.wikimedia.org/r/306750

daniel closed this task as Resolved.Aug 31 2016, 5:40 PM
daniel moved this task from Review to Done on the Wikidata-Sprint-2016-08-30 board.

Change 307946 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Clean up entity usage API module code

https://gerrit.wikimedia.org/r/307946

Change 307946 merged by jenkins-bot:
Clean up entity usage API module code

https://gerrit.wikimedia.org/r/307946